package com.ssj.service.conch.parents.request.version4;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import com.ssj.service.conch.parents.v1.dto.BookDTO;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class ChildInfoV2Req extends BaseRequest {
    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipId", value = "会员id", required = true)
    private String vipId;

    @ApiModelProperty(name = "imgUrl", value = "小孩头像", required = false)
    private String imgUrl;
    
    @ApiModelProperty(name = "childName", value = "小孩姓名", required = false)
    private String childName;
    
    @ApiModelProperty(name = "sex", value = "小孩性别（1男2女）", required = false)
    private String sex;
    
    @ApiModelProperty(name = "parentName", value = "家长姓名", required = false)
    private String parentName;
    
    @ApiModelProperty(name = "phone", value = "手机号", required = false)
    private String phone;
    
    @ApiModelProperty(name = "courseName", value = "授课科目", required = false)
    private String courseName;
    
    @ApiModelProperty(name = "grade", value = "年级", required = false)
    private String grade;
    
    @ApiModelProperty(name = "school", value = "就读学校", required = false)
    private String school;
    
    @ApiModelProperty(name = "family", value = "家庭住址", required = false)
    private String family;
    
    @ApiModelProperty(name = "studyPlan", value = "学习计划", required = false)
    private String studyPlan;
    
    @ApiModelProperty(name = "parentRole", value = "家长角色名称", required = true)
    private String parentRole;

	@ApiModelProperty(name = "bookList", value = "需要绑定的教辅")
	private List<BookDTO> bookList;

	@ApiModelProperty(name = "libId", value = "机构id", required = true)
	private String libId;

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}
	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getImgUrl() {
		return imgUrl;
	}

	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getSchool() {
		return school;
	}

	public void setSchool(String school) {
		this.school = school;
	}

	public String getFamily() {
		return family;
	}

	public void setFamily(String family) {
		this.family = family;
	}

	public String getStudyPlan() {
		return studyPlan;
	}

	public void setStudyPlan(String studyPlan) {
		this.studyPlan = studyPlan;
	}

	public String getParentRole() {
		return parentRole;
	}

	public void setParentRole(String parentRole) {
		this.parentRole = parentRole;
	}

	public List<BookDTO> getBookList() {
		return bookList;
	}

	public void setBookList(List<BookDTO> bookList) {
		this.bookList = bookList;
	}
}